# Returns a user by their id Endpoint: GET /v1/users/{userId} Version: V1 Security: authorization_code_with_pkce, client_credentials ## Path parameters: - `userId` (string, required) The user's unique identifier. ## Response 200 fields (application/json): - `id` (string, required) The unique identifier of the user. Example: "00000000-0000-0000-0000-000000000001" - `userName` (string, required) The username (login name) of the user. Example: "jane.doe@aritma.com" - `email` (string, required) The email address of the user. Example: "jane.doe@aritma.com" - `phoneNumber` (string, required) The phone number of the user, if registered. Example: "+4712345678" - `twoFactorEnabled` (boolean, required) Indicates whether two-factor authentication is enabled for the user. - `roles` (array, required) The roles assigned to the user. - `roles.id` (string, required) The unique identifier of the role. - `roles.name` (string, required) The name of the role. ## Response 400 fields ## Response 401 fields ## Response 403 fields